Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class QueueConnector

    java.lang.Object
      |
      +--org.apache.axis.transport.jms.JMSConnector
            |
            +--org.apache.axis.transport.jms.QueueConnector

public class QueueConnector
extends JMSConnector

QueueConnector is a concrete JMSConnector subclass that specifically handles connections to queues (ptp domain).

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)

Nested Class Summary

Nested classes inherited from class org.apache.axis.transport.jms.JMSConnector
`JMSConnector.AsyncConnection, JMSConnector.SyncConnection`

Field Summary

Fields inherited from class org.apache.axis.transport.jms.JMSConnector
`m_adapter, m_allowReceive, m_connectRetryInterval, m_interactRetryInterval, m_numRetries, m_numSessions, m_poolTimeout, m_receiveConnection, m_sendConnection, m_timeoutTime`

Constructor Summary
`QueueConnector(javax.jms.ConnectionFactory factory, int numRetries, int numSessions, long connectRetryInterval, long interactRetryInterval, long timeoutTime, boolean allowReceive, java.lang.String clientID, java.lang.String username, java.lang.String password, JMSVendorAdapter adapter)`

Method Summary
`protected JMSConnector.AsyncConnection` | `createAsyncConnection(javax.jms.ConnectionFactory factory, javax.jms.Connection connection, java.lang.String threadName, java.lang.String clientID, java.lang.String username, java.lang.String password)`
`JMSEndpoint` | `createEndpoint(javax.jms.Destination destination)` Create an endpoint for a queue destination.
`JMSEndpoint` | `createEndpoint(java.lang.String destination)`
`protected JMSConnector.SyncConnection` | `createSyncConnection(javax.jms.ConnectionFactory factory, javax.jms.Connection connection, int numSessions, java.lang.String threadName, java.lang.String clientID, java.lang.String username, java.lang.String password)`
`protected javax.jms.Connection` | `internalConnect(javax.jms.ConnectionFactory connectionFactory, java.lang.String username, java.lang.String password)`

Methods inherited from class org.apache.axis.transport.jms.JMSConnector
`createConnectionWithRetry, shutdown, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueConnector

    public QueueConnector(javax.jms.ConnectionFactory factory,
                          int numRetries,
                          int numSessions,
                          long connectRetryInterval,
                          long interactRetryInterval,
                          long timeoutTime,
                          boolean allowReceive,
                          java.lang.String clientID,
                          java.lang.String username,
                          java.lang.String password,
                          JMSVendorAdapter adapter)
                   throws javax.jms.JMSException

Method Detail

### createEndpoint

    public JMSEndpoint createEndpoint(java.lang.String destination)

  Specified by:
    `createEndpoint` in class `JMSConnector`

### createEndpoint

    public JMSEndpoint createEndpoint(javax.jms.Destination destination)
                               throws javax.jms.JMSException

  Create an endpoint for a queue destination.

  Specified by:
    `createEndpoint` in class `JMSConnector`
  Parameters:
    `destination` -
  Returns:
  Throws:
    `javax.jms.JMSException`

### internalConnect

    protected javax.jms.Connection internalConnect(javax.jms.ConnectionFactory connectionFactory,
                                                   java.lang.String username,
                                                   java.lang.String password)
                                            throws javax.jms.JMSException

  Specified by:
    `internalConnect` in class `JMSConnector`
    `javax.jms.JMSException`

### createSyncConnection

    protected JMSConnector.SyncConnection createSyncConnection(javax.jms.ConnectionFactory factory,
                                                               javax.jms.Connection connection,
                                                               int numSessions,
                                                               java.lang.String threadName,
                                                               java.lang.String clientID,
                                                               java.lang.String username,
                                                               java.lang.String password)
                                                        throws javax.jms.JMSException

  Specified by:
    `createSyncConnection` in class `JMSConnector`
    `javax.jms.JMSException`

### createAsyncConnection

    protected JMSConnector.AsyncConnection createAsyncConnection(javax.jms.ConnectionFactory factory,
                                                                 javax.jms.Connection connection,
                                                                 java.lang.String threadName,
                                                                 java.lang.String clientID,
                                                                 java.lang.String username,
                                                                 java.lang.String password)
                                                          throws javax.jms.JMSException

  Specified by:
    `createAsyncConnection` in class `JMSConnector`
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.